## texlive-base 2012.20120611

=== Makefile ===
# $Id: Makefile,v 3.70 2012/05/24 00:30:38 krisrose Exp $
#
# Un*x Makefile for Xy-pic macros, fonts, documentation, and distribution.
# Copyright (c) 1991-2011  Kristoffer H. Rose  <krisrose@tug.org>
#
# This file is part of the Xy-pic macro package.
# Copyright (c) 1991-2011  Kristoffer H. Rose  <krisrose@tug.org>
# See the README and INSTALL files for further information.
#
# The Xy-pic package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# The Xy-pic package is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this package; if not, see http://www.gnu.org/licenses/.

# Update these together with xy.doc's xyversion!
VERSION = 3.8.8
SHORTVERSION = 388

# CONTENTS:
#
#   Configuration section:
#	Directories.
#	Fonts.
#	Programs.
#
#   Generic targets.
#   Macros.
#   Fonts.
#   PostScript and PDF font support.
#   Documentation.
#   Home page.
#   Distribution.
#   (Xy-pic, the movie.)
#   Tags.
#
#   Log.


#### CONFIGURATION SECTION ##################################################

# Please configure as instructed below for each of the DIRECTORIES, FONTS,
# and PROGRAMS parts by editing the definitions to fit your system.

#### DIRECTORIES.
#
# The following variables define the directories where the various parts of
# Xy-pic should be installed.
#
# You should *EITHER* set TDSROOT to the root of a TDS-compliant directory
# tree, usually named .../texmf (if you have a TDS [TeX Directory Structure]
# compliant system then that is in fact all you need to do):
#
USR = /usr/local
TDSROOT = $(USR)/share/texmf
#
# *OR* you should set each of the following variables right for you system
# (do this if your setup does not match TDS exactly):
#
TEXINPUTDIR = $(TDSROOT)/tex/generic/xypic
TEXFONTDIR = $(TDSROOT)/fonts/tfm/public/xypic
TEXDOCDIR = $(TDSROOT)/doc/generic/xypic
MFINPUTDIR = $(TDSROOT)/fonts/source/public/xypic
TYPE1DIR = $(TDSROOT)/fonts/type1/public/xypic
PFMDIR = $(TDSROOT)/fonts/pfm/public/xypic
AFMDIR = $(TDSROOT)/fonts/afm/public/xypic
PSHEADERDIR = $(TDSROOT)/ps/xypic
#
# FONTDIR is the directory where bitmap fonts are stored and is special
# (If you do not plan to install bitmap fonts because they are automatically
# generated and remember to set the MAGS variable below to `.' then you may
# ignore this step.)
#
# Since the location of individual fonts sometimes depend on properties of
# the font, you can insert
#
#	$${dpi}		for the font resolution in `Dots Per Inch' (NOT the
#   			device resolution---that should be inserted directly)
#
#	$${mode}	for the METAFONT `mode' used to generate the font
#
# ---what these get set to depends on the next section.
#
# For example, if you set FONTDIR=/usr/lib/tex/pk$${dpi} and decide in the
# next section to generate PK fonts at 300 dpi using a generic mode
# (localfont) then you get files named /usr/lib/tex/pk300/xy*.300pk.
#
# If your installation still uses the (inefficient) principle of having all
# PK files in the same directory as the TFM files then you should just set
# FONTDIR=$(TEXFONTDIR).
#
FONTDIR = $(TDSROOT)/fonts/pk/$${mode}/public/xypic/dpi$${dpi}

#### FONTS.
#
# The METAFONT program needs to know the `mode' of your printer in order to
# be able to generate correct fonts for it.  On most installations the mode
# `localfont' is made synonymous with the mode required for the default
# printer; in that case you can just pick the `MODES = localfont' line.  If
# this is not the case -- or you need fonts for several output devices---then
# you will have to consult the local METAFONT guide/guru to inquire what
# modes are used at your site.  A good place to look for the modes used is in
# the MakeTeXPK script found on some sites.
#
# Set MODES to the list of printers you wish to use:
#
MODES = localfont
#MODES = cx ljfour
#
# You should also decide which TeX \magsteps you wish the font to be
# generated at.
#
# The default is . (dot) which prevents installation of any bitmaps because
# most modern installations generate them automatically.
#
MAGS = .
#MAGS = 0
#MAGS = 0 0.5 1 2

#### PROGRAMS.
#
# You don't have to edit the following lines unless you have a non-standard
# un*x system or un*x TeX installation...
#
SHELL = /bin/sh
#
TEX = TEXFONTS=.:$(TEXFONTDIR):$$TEXFONTS tex
LATEX = TEXFONTS=.:$(TEXFONTDIR):$$TEXFONTS latex
PDFLATEX = TEXFONTS=.:$(TEXFONTDIR):$$TEXFONTS pdflatex
BIBTEX = BIBINPUTS=. bibtex
MAKEINDEX = makeindex
#
# The standard post-DVI processing commands...
#
DVIPS = dvips -D1200 -t $(PAPER) -f
DVIPDFMX = dvipdfmx -p $(PAPER) -V 5 -g 2pt
PS2PDF = ps2pdf -sPAPERSIZE=$(PAPER) -dCompatibilityLevel=1.5 -dPDFSETTINGS=/prepress
#
# Set MF to a command that will run plain METAFONT on your system.
#
MF = MFINPUTS=.:$(MFINPUTDIR):$$MFINPUTS mf
#
# Set MPOST to a command that will run METAPOST on your system.
#
MPOST = MFINPUTS=.:$(MFINPUTDIR):$$MFINPUTS mpost
#
# Used to generate PostScript font metric files (NOT outlines).
#
MFTRACE = mftrace --formats=afm,pfm
#
# Set GFTOPK to the command "false" and PK to "gf" if you use GF rather than PK
# bitmap font files.  There is no support for PXL-files [are they still used?].
# (Note: the default setting of MAGS above doesn't use bitmaps at all.)
#
GFTOPK = gftopk
PK=pk
#
#GFTOPK = false
#PK=gf
#
RM = rm -fr
CP = cp -f
MV = mv -f
#
# Set the INSTALLs to cp -f if your system does not have the install command.
#
INSTALL = install -c -m 444
INSTALLW = install -c -m 644
INSTALLX = install -c -m 555
#INSTALL = cp -f
#INSTALLW = cp -f
#INSTALLX = cp -f
#
# Set MKDIR to a mkdir command that creates intermediate directories.
#
MKDIR = mkdir -p -m 755
#
# Checksums...
#
MD5SUM = md5sum
SIGN = (cd;gpg --clearsign)
#
# DOC2TEX <file>: output efficient .tex file from inefficient .doc <file> with
# inlined documentation [my favourite hack :-].  Removes all DOCMODE lines,
# leaving only things before the first and in DOCMODE(...DOCMODE) brackets;
# also removes all blank lines and comment lines.
#
# If it breaks your sed you can just set DOC2TEX to cat although that will
# make the installed macro files three times larger and the reading of them
# somewhat slower...so in that case you are probably better of getting the
# `normal' distribution where this has already been done for you!
# If you are on a Windows system or otherwise adventurous then you can also
# try the included "doc2tex.com" script contributed by R.Gaertner.
#
DOC2TEX = sed \
	-e '/^.DOCMODE(/b Yes' \
	-e '/^.DOCMODE/b No' \
	-e 'x' \
	-e '/%%DONTCOPY%%/b Ignore' \
	-e 'x' \
	-e 's/[ 	][ 	]*/ /g' \
	-e 's/{%.*$$/{%/' -e 's/}%.*$$/}%/' -e 's/ %.*$$//'  \
	-e '/^ *%$$/d' -e '/^ *$$/d' -e '/^ *%[^%]/d' \
	-e 's/^%% \$$Id/%% $@ from $$Id/' \
	-e 's/REPLACEWITHVERSION/$(VERSION)/' \
	-e 's/REPLACEWITHSHORTVERSION/$(SHORTVERSION)/' \
	-e 'b End' \
	-e ': No' -e 's/.*/%%DONTCOPY%%/' -e 'x' -e 'd' \
	-e ': Yes' -e 's/.*//' -e 'x' -e 'd' \
	-e ': Ignore' -e 'x' -e 'd' \
	-e ': End'
#
# MF2TFM script: make .tfm file and all requested bitmap files from .mf
# file by executing METAFONT with $${mode} and $${dpi} as described above.
#
# NOTE: for use as implicit make rule; do not modify unless you are sure you
# need to!
#
MF2TFM = set -x; for mode in $(MODES); do \
	if [ "$(MAGS)" = "." ]; then \
	  $(MF) "\\mode=$$mode; input $<";\
	  $(RM) $*.*gf;\
	else \
	  for mag in $(MAGS); do \
	    $(MF) "\\mode=$$mode; mag=magstep($$mag); input $<"; done;\
	  for f in $*.*gf; do if test -f "$$f"; then \
	    if $(GFTOPK) ./$$f; then $(RM) $$f; fi; else :; fi; done;\
	fi; done
#
# Compression.
#
# TAR <files>		output tar archive with <files>
# GZIP			compression filter
# GUNZIP		uncompression filter
# GZ			filename extension appropriate for compressed files
#
# TODO: change compression to proper GNU gzip once everyone supports it...
#
TAR = tar cf -
GZIP = gzip -fv9
GUNZIP = gunzip
GZ = .gz
ZIP = zip
UNZIP = unzip -qaoLDD
#
# GNU AWK (gawk) or (in a pinch) NAWK.
#
GAWK = gawk
#
# Finally the paper size to use!
#
PAPER = letter

#### END OF CONFIGURATION SECTION ###########################################


# GENERIC TARGETS.
#
all:		macros fonts manual
.PHONY:		all install clean realclean sterile
#
install:	all install.macros install.trailer \
		install.fonts install.ps
#
clean::
	$(RM) *.aux *.toc *.lof *.blg *.log *.idx *.ilg *.fmt *.dvi *.ps \
	  *.ppm *.nops *.tmp *.ans *.xyc *.xyd \
	  ./#* *~ core *.BAK *JNL xytest.*gf *.out out
#
realclean::	clean
	$(RM) `cat .cvsignore`
	touch xydoc.front xydoc.back


# MACROS.
#
TRAILERSOURCES =	TRAILER COPYING CATALOG.doc FONTCOPYING FONTCOPYING.patch \
			MAKE README Makefile INSTALL

KERNELSOURCES = 	xy.doc xyidioms.doc xyrecat.doc

OPTIONSOURCES = 	\
	xyframe.doc xycmtip.doc xytips.doc xycurve.doc \
	xyline.doc xyrotate.doc xycolor.doc xycrayon.doc xytile.doc \
	xyimport.doc xytpic.doc xytp-f.doc \
	xyps.doc xyps-ps.doc xyps-pro.doc xyps-col.doc xyps-c.doc xyps-f.doc \
	xyps-l.doc xyps-r.doc xyps-s.doc xyps-t.doc \
	xypsdict.doc xypspatt.doc xydocps.doc \
	xydummy.doc xyall.doc xymatrix.doc xyarrow.doc xygraph.doc \
	xy2cell.doc xypoly.doc xyarc.doc xyknot.doc xyweb.doc xyling.doc \
	xydvips.doc xytextures.doc xy16textures.doc xyoztex.doc xy17oztex.doc \
	xycmactex.doc xydvitops.doc xyemtex.doc xydvidrv.doc xyxdvi.doc \
	xymovie.doc xyv2.doc xypic.doc xypicture.doc \
	xynecula.doc xysmart.doc \
	xypdf.dtx xypdf.ins

LATEXSTYLES = 		xy.sty xypic.sty movie.cls
OPTIONDATA = 		xymacpat.xyp

MACROSOURCES =		$(TRAILERSOURCES) $(KERNELSOURCES) $(LATEXSTYLES) \
			$(OPTIONSOURCES) $(OPTIONDATA)

NOTES =			TRAILER COPYING FONTCOPYING CATALOG README \
			INSTALL VERSIONS Xy-pic.html Xy-logo.png

KERNEL =		xy.tex xyidioms.tex xyrecat.tex

OPTION = 		\
	xyframe.tex xycmtip.tex xytips.tex xycurve.tex \
	xyline.tex xyrotate.tex xycolor.tex xycrayon.tex xytile.tex \
	xyimport.tex xytpic.tex xytp-f.tex \
	xyps.tex xyps-ps.tex xyps-pro.tex xyps-col.tex xyps-c.tex xyps-f.tex \
	xyps-l.tex xyps-r.tex xyps-s.tex xyps-t.tex \
	xypsdict.tex xypspatt.tex $(OPTIONDATA) \
	xydummy.tex xyall.tex xymatrix.tex xyarrow.tex xygraph.tex \
	xy2cell.tex xypoly.tex xyarc.tex xyknot.tex xyweb.tex \
	xydvips.tex xytextures.tex xy16textures.tex xyoztex.tex xy17oztex.tex \
	xycmactex.tex xydvitops.tex xyemtex.tex xydvidrv.tex xyxdvi.tex \
	xymovie.tex xyv2.tex xypic.tex xypicture.tex \
	xynecula.tex xysmart.tex \
	xypdf.tex xypdf-co.tex xypdf-cu.tex xypdf-fr.tex xypdf-li.tex xypdf-ro.tex

MACROS =		$(KERNEL) $(OPTION) \
			$(LATEXSTYLES)

PSPRO = 		xy$(SHORTVERSION)dict.pro
PSMAP = 		xypic.map

SUPPORT =		install-tds \
			dvitogif89a pnmrawtopcropwhite.c

# Macros have .tex suffix and are generated from the .doc files.
#
.SUFFIXES:	.tex .doc
.doc.tex:;	$(DOC2TEX) $< > $@
#
.PHONY:		macros install.macros
#
macros: 	$(MACROS)
install.macros:	$(MACROS)
	-test -d $(TEXINPUTDIR) || $(MKDIR) $(TEXINPUTDIR)
	for f in $(MACROS); do $(INSTALL) $$f $(TEXINPUTDIR)/$$f; done
#
# Kernel dependencies:
#
xy.tex:				xy.doc
xyidioms.tex:			xyidioms.doc
xyrecat.tex:			xyrecat.doc
#
# Extension option dependencies:
#
xyframe.tex:			xyframe.doc
xytips.tex:			xytips.doc
xycmtip.tex:			xycmtip.doc
xycurve.tex:			xycurve.doc
xyline.tex:			xyline.doc
xyrotate.tex:			xyrotate.doc
xycolor.tex:			xycolor.doc
xycrayon.tex:			xycrayon.doc
xyimport.tex:			xyimport.doc
xytile.tex:			xytile.doc
#
xytpic.tex:			xytpic.doc
xytp-f.tex:			xytp-f.doc
#
xyemtex.tex:			xyemtex.doc
#
xyps.tex:			xyps.doc
xyps-ps.tex:			xyps-ps.doc
xyps-pro.tex:			xyps-pro.doc
xyps-col.tex:			xyps-col.doc
xyps-c.tex:			xyps-c.doc
xyps-f.tex:			xyps-f.doc
xyps-l.tex:			xyps-l.doc
xyps-r.tex:			xyps-r.doc
xyps-s.tex:			xyps-s.doc

=== unittests/Makefile ===
# This is a unit-test framework for tex.
#
# The idea is as follows:
#
# 1. there is a reference revision on which a unittest runs as expected.
# 2. there is a way to generate the reference image (to pdf and to png)
# 3. you can compile the actual image
# 4. you can "diff" the actual image and the reference (and view the difference)
# 5. you can create a log of the single results and diffs
#
# This makefile can do all of these steps.
#
# The references can be generated with
# >> make references
# References are stored in a sub-folder called "references". You can *REMOVE* this directory
# to clean references.
#
# References are compiled using different revisions of the code; they are checked out into /tmp. 
#
#
# HOW TO WRITE TESTS
# Simply write a minimal, self-contained .tex file (say, unittest_42.tex) in this directory. It can have multiple
# pages.
#
# If your example needs a specific reference revision, create a file <base>.checkoutreferencerev.sh which contains something
# like "git checkout 1.3.1" . It will be invoked to checkout the reference revision.
#
# Then, type "make unittest_42.diff" to create reference, actual, and difference.
#
# Typing 'make' will make all unittests (all *.tex files in this directory).
#  
# COMPILING TESTS
# 1. compile reference, actual, and diff:
# >> make unittest_polar_7.diff
# 2. compile reference only
# >> make references/unittest_polar_7.pdf
# 3. compile actual only
# >> make unittest_polar_7.pdf
#
# The makefile will avoid re-creation of test cases in order to allow concentrate on failures.
# If you want to remake tests, you can either type 
# >> make clean
# or you can use the (standard) make feature 
# >> make unittest_polar_7.diff -B
# which forces remake, even if modtimes are unchanged 
#
#
# SPECIALTIES:
# create a file unittest_*.diff.accepted containing accepted diff results 
# (in case you approved that they are "not an error"). 
# The file should contain what the failure-output of the 'make test.diff' target.

UNIT_SOURCES=$(wildcard unittest_*.tex)

UNIT_PDFS=$(UNIT_SOURCES:.tex=.pdf)
DIFF_MEASURES=$(UNIT_SOURCES:.tex=.diff)


# -------------------------------------------------
# stuff for references:
ENABLE_DYNAMIC_REFERENCES=1

UNIT_PDF_REFERENCES=$(UNIT_SOURCES:%.tex=references/%.pdf)
WORKING_DIR=$(shell pwd)
PGFPLOTS_GIT_BASEDIR=$(WORKING_DIR:source/latex/pgfplots/pgfplotstest/unittests=)
TMP_REPOSITORY=/tmp/pgfplots_copy
DEFAULT_REFERENCE_BRANCH:=$(shell git rev-parse HEAD)

.PRECIOUS:  $(UNIT_SOURCES:%.tex=%.checkoutreferencerev.sh)  $(UNIT_PDF_REFERENCES)

AUTO_INDENT_PIPE=2>&1 | sed -e 's/^/  /'
$(shell mkdir -p gnuplot references/gnuplot)
# -------------------------------------------------

.NOTPARALLEL:

# .PRECIOUS: $(UNIT_PNGS)

.PHONY: references pdf png  cleanreferences clean setupdirs

diff: $(DIFF_MEASURES) 

pdf: $(UNIT_PDFS) 

clean:
	rm -f $(DIFF_MEASURES) $(UNIT_PDFS)

%.diff: %.pdf references/%.pdf
	@echo "$<: diffing --> $@ ..."
	@./pdfdiff.sh $< $@
	@if [ "`cat $@`" = "0 (0)" ]; then \
		echo "  PASSED: no differences detected (removing superfluos diff-pngs)"; \
		rm -f $@.png $<.png; # no need to keep the images (the latter for multi-page mode). \
	else \
		if [ -f $@.accepted -a "`cat $@`" = "`cat $@.accepted`" ]; then \
			echo "  PASSED: only approved differences `cat $@` detected (removing superfluos diff-pngs)"; \
			rm -f $@.png $<.png; # no need to keep the images (the latter for multi-page mode). \
		else \
			echo "  FAILURE: found pixel differences for $<: " `cat $@`; \
			echo "  (if not a bug: 'echo \"`cat $@`\" > $@.accepted')"; \
			echo "  Call './displayDiff.sh $@.png' (see summarize of regressions.sh)"; \
			rm $@; # make sure it will be recomputed! \
			false; \
		fi; \
	fi
		


#	convert $< -append $@
#	@diff $@ references/$@; \
#	if [ ! $$? -eq 0 ]; then \
#		echo 'convert "$@" "references/$@" -compose difference -composite -colorspace gray miff:- | display' > $(@:.png=.regression.sh); \
#		echo "echo $@" >> regressions.sh; \
#		echo "sh $(@:.png=.regression.sh)" >> regressions.sh; \
#		echo "$@ WAS UNEXPECTED. See regressions.sh"; \
#		touch -t 01010000 $@; # make sure its older MMDDHHSS\
#		false;\
#	fi
	
		

cleanreferences:
	$(MAKE) -f Makefile.references REALLY_INVOKE=1 clean

references: $(UNIT_PDF_REFERENCES)

%.checkoutreferencerev.sh:
	@if [ ! -f $@ ]; then pwd; echo "generating $@ (with $(DEFAULT_REFERENCE_BRANCH))..."; echo "git checkout $(DEFAULT_REFERENCE_BRANCH)" > $@ || exit 1; fi

ifeq ($(ENABLE_DYNAMIC_REFERENCES),1)

references/%.pdf: %.tex %.checkoutreferencerev.sh 
	@echo "$<: generating $@"; \
	REFERENCE_SCRIPT=$(<:.tex=.checkoutreferencerev.sh);\
	#echo "  checking out reverence revision to $(TMP_REPOSITORY)..."; \
	if [ ! -d $(TMP_REPOSITORY) ]; then \
		cd $(dir $(TMP_REPOSITORY)) || exit 1; \
		git clone $(PGFPLOTS_GIT_BASEDIR) $(notdir $(TMP_REPOSITORY)) || exit 1; \
	fi; \
	cd $(TMP_REPOSITORY) || exit 1; \
	cat $(WORKING_DIR)/$$REFERENCE_SCRIPT $(AUTO_INDENT_PIPE); \
	sh $(WORKING_DIR)/$$REFERENCE_SCRIPT  1>/dev/null 2>&1; \
	if [ $$? -ne 0 ]; then \
		echo "CHECKOUT FAILED." $(AUTO_INDENT_PIPE); \
		echo "(cleaning $(TMP_REPOSITORY))..." $(AUTO_INDENT_PIPE); \
		rm -fr $(TMP_REPOSITORY); \
		exit 1; \
	fi
	@cd references || exit 1;\
	export TEXINPUTS=.:..:$(TMP_REPOSITORY)/tex//:$(TEXINPUTS); \
	echo "export TEXINPUTS=.:..:$(TMP_REPOSITORY)/tex//:\$$TEXINPUTS" $(AUTO_INDENT_PIPE); \
	echo "cd references && \"compile $<\" ..." $(AUTO_INDENT_PIPE); \
	pdflatex -shell-escape -interaction batchmode -halt-on-error `basename $(@:.pdf=.tex)` 1>/dev/null 2>&1 || ( echo "COMPILATION FAILED: $(@:.pdf=.log)\nPlease check $(<:.tex=.checkoutreferencerev.sh)" $(AUTO_INDENT_PIPE); rm -f $@; exit 1)

else
#disable dynamic reference (re-)creation:
references/%.pdf: %.tex 
	@if [ ! -f $@ ]; then echo "  REFERENCE IS MISSING AND CAN'T BE CREATED AUTOMATICALLY (ENABLE_DYNAMIC_REFERENCES=0)"; exit 1; fi

endif

# make sure this rule is AFTER references/%.pdf !
%.pdf: %.tex 
	@echo "$@: recompiling $< ..."
	@rm -f $@; pdflatex -halt-on-error -interaction batchmode -shell-escape $^ >/dev/null 2>&1  || ( echo "COMPILATION FAILED: $(@:.pdf=.log)" $(AUTO_INDENT_PIPE); rm -f $@; exit 1)

=== texmf-dist/doc/latex/combinedgraphics/Makefile ===
#
# Makefile for combinedgraphics package
#
# Copyright 2009,2011 Christian Schneider <software(at)chschneider(dot)eu>
#
# This file is part of combinedgraphics.
#
# combinedgraphics is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation, not any later version.
#
# combinedgraphics is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with combinedgraphics.  If not, see <http://www.gnu.org/licenses/>.
#
# WARNING: THIS IS ALPHA SOFTWARE AND MAY CONTAIN SERIOUS BUGS!
#

export PACKAGE := combinedgraphics

PDFLATEX  := pdflatex
MAKEINDEX := makeindex

# installation directories
DESTDIR   := $(HOME)/.texmf
DOCDIR    := $(DESTDIR)/doc/latex/$(PACKAGE)
SRCDIR    := $(DESTDIR)/source/latex/$(PACKAGE)
TEXDIR    := $(DESTDIR)/tex/latex/$(PACKAGE)

.PHONY: all pkg doc test install clean distclean force

all: pkg doc test

%.sty: %.ins %.dtx
	$(RM) $@
	$(PDFLATEX) -interaction=nonstopmode $<

%.idx %.glo: %.dtx %.sty
	$(PDFLATEX) -interaction=nonstopmode $<

%.ind: %.idx
	$(MAKEINDEX) -s gind.ist -o $@ $<

%.gls: %.glo
	$(MAKEINDEX) -s gglo.ist -o $@ $<

$(PACKAGE).pdf: %.pdf: %.dtx %.sty %.ind %.gls
	$(PDFLATEX) -interaction=nonstopmode $<
	$(PDFLATEX) -interaction=nonstopmode $<
	$(PDFLATEX) -interaction=nonstopmode $<

pkg: $(PACKAGE).sty

doc: $(PACKAGE).pdf

test: $(PACKAGE).sty force
	$(MAKE) -C test

install: force
	mkdir -p $(DOCDIR) $(SRCDIR) $(TEXDIR)
	install -m 644 README COPYING $(PACKAGE).pdf $(DOCDIR)
	install -m 644 $(PACKAGE).ins $(PACKAGE).dtx Makefile $(SRCDIR)
	install -m 644 $(PACKAGE).sty $(TEXDIR)
	$(MAKE) -C test install
	mktexlsr $(DESTDIR)

clean: force
	$(RM) *.aux *.glo *.gls *.idx *.ilg *.ind *.log *.toc *~
	$(MAKE) -C test clean

distclean: clean force
	$(RM) $(PACKAGE).sty $(PACKAGE).pdf $(TESTFILE).pdf
	$(MAKE) -C test distclean

force: ;

=== texmf-dist/doc/latex/pgfplots/Makefile ===

PDFLATEX=pdflatex -shell-escape

all: pgfplots.pdf pgfplotstable.pdf TeX-programming-notes.pdf pgfplotstodo.pdf
	@echo "$^ have been compiled successfully. I did NOT check for references, so you may need to rerun make several times."

notes: TeX-programming-notes.pdf
todo: pgfplotstodo.pdf
pgfplots: pgfplots.pdf
pgfplotstable: pgfplotstable.pdf

include pgfplots.makefile

%.pdf: FORCE
	mkdir -p gnuplot
	@export TEXMFCNF=.: && $(PDFLATEX) $(@:.pdf=.tex)
	@bibtex $(@:.pdf=) || exit 0
	@makeindex $(@:.pdf=) || exit 0
	@echo ""
	@echo "$@ compiled successfully. You may need to re-run make several times to get all cross-references right."

pgfplots.pdf: $(ALL_FIGURES)

pgfplots.makefile:
	@export TEXMFCNF=.: && $(PDFLATEX) pgfplots
	
clean:
	rm -f *.aux *.ind *.idx *.toc *.out *.log *.ilg *.dvi pgfplots.makefile pgfplots.pdf pgfplotstable.pdf *.djs *.bbl *.blg figures/expensiveexample*


FORCE:

=== texmf-dist/source/latex/koma-script/Makefile ===
# ======================================================================
# Makefile
# Copyright (c) Markus Kohm, 2002-2012
#
# This file is part of the LaTeX2e KOMA-Script bundle.
#
# This work may be distributed and/or modified under the conditions of
# the LaTeX Project Public License, version 1.3c of the license.
# The latest version of this license is in
#   http://www.latex-project.org/lppl.txt
# and version 1.3c or later is part of all distributions of LaTeX 
# version 2005/12/01 or later and of this work.
#
# This work has the LPPL maintenance status "author-maintained".
#
# The Current Maintainer and author of this work is Markus Kohm.
#
# This work consists of all files listed in manifest.txt.
# ----------------------------------------------------------------------
# Makefile
# Copyright (c) Markus Kohm, 2002-2012
#
# Dieses Werk darf nach den Bedingungen der LaTeX Project Public Lizenz,
# Version 1.3c, verteilt und/oder veraendert werden.
# Die neuste Version dieser Lizenz ist
#   http://www.latex-project.org/lppl.txt
# und Version 1.3c ist Teil aller Verteilungen von LaTeX
# Version 2005/12/01 oder spaeter und dieses Werks.
#
# Dieses Werk hat den LPPL-Verwaltungs-Status "author-maintained"
# (allein durch den Autor verwaltet).
#
# Der Aktuelle Verwalter und Autor dieses Werkes ist Markus Kohm.
# 
# Dieses Werk besteht aus den in manifest.txt aufgefuehrten Dateien.
# ======================================================================

# ----------------------------------------------------------------------
# All directories with Makefiles
export BASEDIR ?= $(PWD)/
SUBDIRS = doc
# ----------------------------------------------------------------------
# Load common rules
include Makefile.baserules
# Load variable definitions
include Makefile.baseinit
# ----------------------------------------------------------------------
# Temporary folder, used to create distribution.
# Same folder with postfix "-maintain" will be used to create maintain-
# distribution.
export DISTDIR	   := $(PWD)/koma-script-$(ISODATE)
export MAINTAINDIR := $(DISTDIR)-maintain
# ----------------------------------------------------------------------

# ----------------------------------------------------------------------
# More than once used:
# Make implementation documentation
define makedvifromdtx
	if ! $(LATEX) $(NONSTOPMODE) $(DVIOUTPUT) $<; then \
	    $(RM) -v $@; \
	    exit 1; \
	fi
        oncemore=true; \
        checksum=`$(CKSUM) $(basename $<).aux`; \
        while $$oncemore; \
	do \
	    if ! $(MKINDEX) $(basename $<) \
	       || ! $(LATEX) $(NONSTOPMODE) $(DVIOUTPUT) $<; then \
	        $(RM) -v $@; \
	        exit 1; \
	    fi; \
	    $(GREP) Rerun $(basename $<).log || oncemore=false; \
	    newchecksum=`$(CKSUM) $(basename $<).aux`; \
	    [ "$$newchecksum"="$$checksum" ] || oncemore=true; \
	    checksum="$$newchecksum"; \
	done
endef
# ----------------------------------------------------------------------

# ----------------------------------------------------------------------
# List of all Makefiles
MAKE_FILES	= Makefile Makefile.baserules Makefile.baseinit
# ----------------------------------------------------------------------
# make classes, packages, etc.
INS_TEMPLATES	= scrstrip.inc \
		  scrstrop.inc

CLS_MAIN	= scrbook.cls \
		  scrreprt.cls \
		  scrartcl.cls \
		  scrlttr2.cls \
	          scrlettr.cls \
		  typearea.sty \
		  scrsize10pt.clo \
		  scrsize11pt.clo \
		  scrsize12pt.clo \
		  scrlfile.sty \
	   	  scrwfile.sty \
		  scrbase.sty \
		  scrkbase.sty \
		  scraddr.sty \
		  scrpage.sty \
		  scrpage2.sty \
		  scrtime.sty \
		  scrdate.sty \
		  scrjura.sty \
		  tocbasic.sty \
		  tocstyle.sty \
		  scrextend.sty \
		  scrhack.sty \
		  float.hak \
		  floatrow.hak \
		  hyperref.hak \
		  listings.hak \
		  scrfontsizes.sty \
		  visualize.lco \
	          DIN.lco \
		  DINmtext.lco \
		  SN.lco \
	 	  SNleft.lco \
		  KOMAold.lco \
		  NF.lco \
		  UScommercial9.lco \
		  UScommercial9DW.lco \
		  NipponEH.lco \
		  NipponEL.lco \
		  NipponLH.lco \
		  NipponLL.lco \
		  NipponRL.lco \
		  KakuLL.lco

CLS_MAIN_DTX    = scrbeta.dtx \
		  scrkbase.dtx \
		  scrkbib.dtx \
		  scrkcile.dtx \
		  scrkcomp.dtx \
		  scrkfloa.dtx \
		  scrkfont.dtx \
		  scrkftn.dtx \
		  scrkidx.dtx \
		  scrklang.dtx \
		  scrklco.dtx \
		  japanlco.dtx \
		  scrkliof.dtx \
		  scrklist.dtx \
		  scrkmisc.dtx \
		  scrknpap.dtx \
		  scrkpage.dtx \
		  scrkpar.dtx \
		  scrkplen.dtx \
		  scrksect.dtx \
		  scrktare.dtx \
		  scrktitl.dtx \
		  scrkvars.dtx \
		  scrkvers.dtx \
		  scrlfile.dtx \
		  scrwfile.dtx \
		  scraddr.dtx \
		  scrpage.dtx \
		  scrtime.dtx \
		  scrlettr.dtx \
		  scrlogo.dtx \
	          scrextend.dtx \
                  scrhack.dtx \
		  scrjura.dtx \
		  tocbasic.dtx \
		  tocstyle.dtx

STATIC_DOC      = README \
	          INSTALL.txt \
		  INSTALLD.txt \
	          lppl.txt \
	          lppl-de.txt \
		  manifest.txt \
		  komabug.tex

CLS_MAIN_DVI	= scrsource.dvi

CLS_MAIN_INS	= scrmain.ins

CLS_MAIN_SUBINS	= scrlfile.ins scraddr.ins scrlettr.ins scrpage.ins

ALPHA_INS       = tocstyle.dtx tocbasic.dtx scrjura.dtx scrwfile.dtx

ALPHA_DOC       = tocstyle.pdf scrjura.pdf scrhack.pdf

ALPHA_DTX       = $(subst .pdf,.dtx,$(ALPHA_DOC))

DTX_IS_INS      = tocstyle.dtx tocbasic.dtx scrjura.dtx scrwfile.dtx

CLS_MAIN_SRC	= $(CLS_MAIN_DTX) $(CLS_MAIN_INS) $(CLS_MAIN_SUBINS) \
		  scrsource.tex

$(ALPHA_DOC): $(ALPHA_DTX)
	$(LATEX) $(BATCHMODE) $(PDFOUTPUT) $(subst .pdf,.dtx,$@)
	$(MKINDEX) $(subst .pdf,,$@)
	$(LATEX) $(BATCHMODE) $(PDFOUTPUT) $(subst .pdf,.dtx,$@)
	$(MKINDEX) $(subst .pdf,,$@)
	$(LATEX) $(BATCHMODE) $(PDFOUTPUT) $(subst .pdf,.dtx,$@)

$(CLS_MAIN): $(CLS_MAIN_DVI) $(CLS_MAIN_INS) $(INS_TEMPLATES) $(MAKE_FILES)
	$(TEXUNPACK) $(CLS_MAIN_INS)
	$(foreach alphains,$(ALPHA_INS),$(TEXUNPACK) $(alphains);)

scrsource.dvi: scrsource.tex $(CLS_MAIN_DTX) $(MAKE_FILES) scrdoc.cls
	$(makedvifromdtx)

scrdoc.cls: scrdoc.dtx
	$(SSYMLINK) scrdoc.dtx scrdoc.cls

# ----------------------------------------------------------------------
CLS_FILES	= scrdoc.cls $(CLS_MAIN)

CLS_DVIS	= $(CLS_MAIN_DVI)

CLS_SRC		= $(CLS_MAIN_SRC)

NODIST_GENERATED = $(CLS_DVIS) $(CLS_FILES) $(ALPHA_DOC)

GENERATED	= $(NODIST_GENERATED) ChangeLog \
		  scrjura.ins \
		  scrlettr.drv \
		  scrwfile.ins scrwfile.tex scrwfile.drv \
		  tocbasic.ins tocbasic.tex \
	 	  tocstyle.ins tocstyle.tex tocstyle.dvi tocstyle.drv

MISC_SRC	= $(INS_TEMPLATES) $(MAKE_FILES) \
                  scrdoc.dtx ChangeLog ChangeLog.2

DIST_SRC	= $(MISC_SRC) $(CLS_SRC)

DIST_FILES	= $(DIST_SRC) $(STATIC_DOC) $(ALPHA_DOC)

MAINTAIN_SRC    = $(DIST_SRC) missing.dtx .cvsignore

MAINTAIN_FILES  = $(MAINTAIN_SRC)
# ----------------------------------------------------------------------

# ----------------------------------------------------------------------
# additional ruls
tdsdist:dist
	# extract dist and make all
	$(UNTARGZ) $(DISTDIR).tar.gz
	chmod -R a+w $(DISTDIR)
ifdef PREPARERELEASE
	$(foreach dtxins,$(DTX_IS_INS),\
	          sed -i -e 's/{trace,/{/g;s/\(\\let\\ifbeta=\\if\)true/\1false/;s/\(\\expandafter\\let\\expandafter\\ifbeta\\csname if\)true/\1false/' $(DISTDIR)/$(dtxins) && ) :
	developer/scripts/preparerelease.sh 2 $(notdir $(DISTDIR))
endif
	$(CD) $(notdir $(DISTDIR)) && \
	  $(MAKE)
	# install to temporary directory
	$(MKDIR) $(notdir $(DISTDIR))-bin/komascript-texmf
	$(CD) $(notdir $(DISTDIR)) && \
	  $(MAKE) INSTALLTEXMF=$(PWD)/$(notdir $(DISTDIR))-bin/komascript-texmf install
	$(RMDIR) $(notdir $(DISTDIR))
	$(SRM) $(notdir $(DISTDIR))-bin/komascript-texmf/ls-R
	# build the tds.zip
	$(SRM) komascript.tds.zip
	$(CD) $(notdir $(DISTDIR))-bin/komascript-texmf && \
	  $(ZIP) ../../komascript.tds.zip source doc tex
	# clean up
	$(RMDIR) $(notdir $(DISTDIR))-bin
	$(SRM) $(notdir $(DISTDIR)).tar.gz

bindist:tdsdist
	# extract tds.zip
	$(MKDIR) $(notdir $(DISTDIR))-bin
	$(MKDIR) $(notdir $(DISTDIR))-bin/komascript-texmf
	$(CD) $(notdir $(DISTDIR))-bin/komascript-texmf && \
	  $(UNZIP) ../../komascript.tds.zip
	# copy some of the files to primary folder
	$(MV) komascript.tds.zip $(notdir $(DISTDIR))-bin/
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/source/latex/koma-script/ChangeLog $(notdir $(DISTDIR))-bin
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/scrgui* $(notdir $(DISTDIR))-bin
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/*.txt $(notdir $(DISTDIR))-bin
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/README $(notdir $(DISTDIR))-bin
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/koma*.html $(notdir $(DISTDIR))-bin
	$(GREP) 'CheckKOMAScriptVersion{' $(notdir $(DISTDIR))-bin/komascript-texmf/source/latex/koma-script/scrkvers.dtx | grep -o '2.*t' > $(notdir $(DISTDIR))-bin/VERSION
	# build the bin.zip
	$(RMDIR) $(notdir $(DISTDIR))-bin/komascript-texmf
	$(SRM) $(notdir $(DISTDIR))-bin.zip
	$(CD) $(notdir $(DISTDIR))-bin && \
	  $(ZIP) ../$(notdir $(DISTDIR))-bin.zip *
	# clean up
	$(RMDIR) $(notdir $(DISTDIR))-bin

ctandist:tdsdist
	# extract tds.zip
	$(SRMDIR) $(notdir $(DISTDIR))-ctan
	$(MKDIR) $(notdir $(DISTDIR))-ctan/texmf
	$(INSTALL) komascript.tds.zip $(notdir $(DISTDIR))-ctan
	$(CD) $(notdir $(DISTDIR))-ctan/texmf && \
	  $(UNZIP) ../komascript.tds.zip
	# copy some doc files to doc source
	$(INSTALL) $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.html \
	  $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.pdf \
	  $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/doc/
	# copy some doc files to main source
	$(INSTALL) $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.txt \
	  $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.tex \
	  $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/README \
	  $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/
	# generate VERSION at main source
	$(GREP) 'CheckKOMAScriptVersion{' $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/scrkvers.dtx | grep -o '2.*t' \
	  > $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/VERSION
	# generate README.distributors at upmost
	$(HEAD) 18 $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/README > $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'File komascript.tds.zip is a complete TEXMF tree of KOMA-Script.  It may be' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'used for manual installation or by distributors for distributions like' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) '<http://www.ctan.org/tex-archive/install/macros/latex/contrib/komascript.tds.zip>.' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) "File $(notdir $(DISTDIR)).ctan-src.zip is a file with sources and manuals of KOMA-Script"  >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'that CTAN seems to prefer for the distribution at'  >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) '<http://www.ctan.org/tex-archive/macros/latex/contrib/komascript>.' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'Note, that it is not easy to generate a ready to use and complete installation' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) "from $(notdir $(DISTDIR)).ctan-src.zip.  So it is hardly recommended to use" >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'komascript.tds.zip not only by users, but redistributors also.' >> $(notdir $(DISTDIR))-ctan/README.distributors
	# build ctan-src.zip
	$(CD) $(notdir $(DISTDIR))-ctan/texmf/source/latex && \
	  $(ZIP) ../../../$(notdir $(DISTDIR)).ctan-src.zip koma-script
	$(RMDIR) $(notdir $(DISTDIR))-ctan/texmf
	# build ctan.zip (with both ctan-src.zip and tds.zip)
	$(CD) $(notdir $(DISTDIR))-ctan && \
	  $(ZIP) ../$(notdir $(DISTDIR))-ctan.zip *
	# clean up
	$(RMDIR) $(notdir $(DISTDIR))-ctan

# ----------------------------------------------------------------------
# local rules

ChangeLog:

=== texmf-dist/source/latex/listings/Makefile ===
# This file generates files required to use the listings package.
#
# (c) 2007 Brooks Moses
#
# This file is distributed under the terms of the LaTeX Project Public
# License from CTAN archives in directory  macros/latex/base/lppl.txt.
# Either version 1.3 or, at your option, any later version.

.PHONY: listings pdf pdf-devel all

listings: listings.sty

pdf: listings.pdf

pdf-devel: listings-devel.pdf

all: listings pdf pdf-devel


listings.sty: listings.dtx listings.ins lstdrvrs.dtx
	tex listings.ins

listings.pdf: listings.sty
	rm -f ltxdoc.cfg
	pdflatex listings.dtx
	makeindex -s gind.ist listings
	pdflatex listings.dtx
	pdflatex listings.dtx

listings-devel.pdf: listings.sty
	rm -rf ltxdoc.cfg
	echo "\AtBeginDocument{\AlsoImplementation}" > ltxdoc.cfg
	pdflatex -jobname=listings-devel listings.dtx
	makeindex -s gind.ist listings-devel
	pdflatex -jobname=listings-devel listings.dtx
	pdflatex -jobname=listings-devel listings.dtx
	rm -rf ltxdoc.cfg

=== texmf-dist/source/lualatex/luabibentry/Makefile ===
#This Makefile is a modified version of luacode's Makefile
#
#Changes
# * "NAME" field: luacode -> luabibentry
# * check target also calls BibTeX and re-runs lualatex
# * use of pdflatex instead of latexmk to build documentation
# * added LUA

NAME   = luabibentry
FORMAT = lualatex

DTX       = $(NAME).dtx
DOC       = $(NAME).pdf
STY       = $(NAME).sty
LUA       = $(NAME).lua
TEST      = test-$(NAME).tex

UNPACKED  = $(STY) $(TEST)
GENERATED = $(UNPACKED) $(DOC)
SOURCES   = $(DTX) README News Makefile

SRCFILES = $(DTX) Makefile
DOCFILES = $(DOC) README News
RUNFILES = $(STY) $(LUA)
ALL      = $(SRCFILES) $(DOCFILES) $(RUNFILES)

TEXMFROOT = ./texmf
RUNDIR    = $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR    = $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
SRCDIR    = $(TEXMFROOT)/source/$(FORMAT)/$(NAME)

CTAN_ZIP = $(NAME).zip
TDS_ZIP = $(NAME).tds.zip
ZIPS = $(CTAN_ZIP) $(TDS_ZIP)

all: $(GENERATED)
doc: $(DOC)
unpack: $(UNPACKED)
ctan: check $(CTAN_ZIP)
tds: $(TDS_ZIP)
world: ctan

.PHONY: all doc unpack ctan tds check world

%.pdf: %.dtx
	pdflatex -interaction=batchmode $< >/dev/null
	pdflatex -interaction=batchmode $< >/dev/null

$(UNPACKED): $(DTX)
	tex -interaction=batchmode $< >/dev/null

check: $(UNPACKED)
	lualatex -interaction=batchmode $(TEST) >/dev/null
	bibtex $(TEST) >/dev/null
	lualatex -interaction=batchmode $(TEST) >/dev/null

$(CTAN_ZIP): $(DOC) $(SOURCES) $(TDS_ZIP)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	@zip -9 -q $@ $^

define run-install
@mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
@mkdir -p $(DOCDIR) && cp $(DOCFILES) $(DOCDIR)
@mkdir -p $(SRCDIR) && cp $(SRCFILES) $(SRCDIR)
endef

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(ALL)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	@if test -e $(TEXMFROOT); then echo 'bad TEXMFROOT'; false; fi
	$(run-install)
	@cd $(TEXMFROOT) && zip -q -9 ../$@ -r .
	@$(RM) -r -- $(TEXMFROOT)

.PHONY: install clean mrproper help

install: check $(ALL)
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install)

clean:
	@latexmk -silent -c $(DTX) >/dev/null
	@rm -f -- test-*.log test-*.aux test-*.pdf

mrproper: clean
	@rm -f -- $(GENERATED) $(ZIPS)

help:
	@echo '$(NAME) makefile targets:'
	@echo '                      help - (this message)'
	@echo '                       all - (default target) all generated files'
	@echo '                     world - synonymous for ctan'
	@echo '                    unpack - extract all files'
	@echo '                       doc - compile documentation'
	@echo '                      ctan - run check & generate archive for CTAN'
	@echo '                       tds - generate a TDS compliant archive'
	@echo '                     check - run the test files'
	@echo '  install TEXMFROOT=<path> - install in <path>'

=== texmf-dist/source/lualatex/lualatex-doc/Makefile ===
NAME   = lualatex-doc
FORMAT = lualatex

DOC    = $(NAME).pdf
SRC    = $(NAME).tex
README = README
MKD    = $(README).markdown

SRCFILES  = $(SRC) Makefile lltxdoc.cls
DOCFILES  = $(DOC) $(README) News
ALL       = $(SRCFILES) $(DOCFILES)

GENERATED = $(DOC) $(README)

all: lualatex-doc.pdf
world: all ctan

.PHONY: all world

%.pdf: %.tex
	# option -pdflatex will be available in the next release
	# of latexmk (4.19)
	latexmk -pdf -silent -pdflatex=lualatex $< >/dev/null

$(README): $(MKD)
	@cp $(MKD) $(README)

ctan: $(NAME).tds.zip
	@zip -q $(NAME).zip $(ALL) $(NAME).tds.zip

$(NAME).tds.zip -q: $(ALL)
	@rm -rf texmf
	@mkdir -p texmf/doc/$(FORMAT)/$(NAME)
	@cp $(DOCFILES) texmf/doc/$(FORMAT)/$(NAME)
	@mkdir -p texmf/source/$(FORMAT)/$(NAME)
	@cp $(SRCFILES) texmf/source/$(FORMAT)/$(NAME)
	@cd texmf && zip -q -r ../$(NAME).tds.zip .
	@rm -rf texmf

.PHONY: clean mrproper

clean:
	@latexmk -silent -c >/dev/null

mrproper: clean
	@rm -f -- $(GENERATED) $(NAME)*.zip

=== texmf-dist/source/luatex/lualibs/Makefile ===
# Makefile for lualibs.

NAME = lualibs
DTX = $(wildcard *.dtx)
DOC_DTX = $(patsubst %.dtx, %.pdf, $(DTX))
MODULES = $(wildcard lualibs-*.lua)

# Files grouped by generation mode
UNPACKED= lualibs.lua
COMPILED = $(DOC_DTX)
GENERATED = $(UNPACKED) $(DOC_DTX)
SOURCE = $(DTX) $(MODULES) README Makefile NEWS

# Files grouped by installation location
RUNFILES = $(UNPACKED) $(MODULES)
DOCFILES = $(DOC_DTX) README NEWS
SRCFILES = $(DTX) $(SRC_TEX) Makefile

# The following definitions should be equivalent
# ALL_FILES = $(RUNFILES) $(DOCFILES) $(SRCFILES)
ALL_FILES = $(GENERATED) $(SOURCE)

# Installation locations
FORMAT = luatex
RUNDIR = $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR = $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
SRCDIR = $(TEXMFROOT)/source/$(FORMAT)/$(NAME)
TEXMFROOT = ./texmf

CTAN_ZIP = $(NAME).zip
TDS_ZIP = $(NAME).tds.zip
ZIPS = $(CTAN_ZIP) $(TDS_ZIP)

DO_TEX = tex --interaction=batchmode $< >/dev/null
DO_PDFLATEX = pdflatex --interaction=batchmode $< >/dev/null
DO_PDFLUALATEX = pdflualatex --interaction=batchmode $< >/dev/null
DO_MAKEINDEX = makeindex -s gind.ist $(subst .dtx,,$<) >/dev/null 2>&1

all: $(GENERATED) $(DOC_TEX)
doc: $(COMPILED)
unpack: $(UNPACKED)
ctan: $(CTAN_ZIP)
tds: $(TDS_ZIP)
world: all ctan
.PHONY: all doc unpack ctan tds world

%.pdf: %.dtx
	$(DO_PDFLATEX)
	$(DO_MAKEINDEX)
	$(DO_PDFLATEX)
	$(DO_PDFLATEX)

$(UNPACKED): lualibs.dtx
	$(DO_TEX)

$(CTAN_ZIP): $(SOURCE) $(COMPILED) $(TDS_ZIP)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	@zip -9 $@ $^ >/dev/null

define run-install
@mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
@mkdir -p $(DOCDIR) && cp $(DOCFILES) $(DOCDIR)
@mkdir -p $(SRCDIR) && cp $(SRCFILES) $(SRCDIR)
endef

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(ALL_FILES)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	$(run-install)
	@cd $(TEXMFROOT) && zip -9 ../$@ -r . >/dev/null
	@$(RM) -r -- $(TEXMFROOT)

.PHONY: install manifest clean mrproper

install: $(ALL_FILES)
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install)

manifest: 
	@echo "Source files:"
	@for f in $(SOURCE); do echo $$f; done
	@echo ""
	@echo "Derived files:"
	@for f in $(GENERATED); do echo $$f; done

clean: 
	@$(RM) -- *.log *.aux *.toc *.idx *.ind *.ilg

mrproper: clean
	@$(RM) -- $(GENERATED) $(ZIPS)

=== texmf-dist/source/luatex/luamplib/Makefile ===
NAME      = luamplib
FORMAT    = luatex

DTX       = $(NAME).dtx
DOC       = $(NAME).pdf
STY       = $(NAME).sty
LUA       = $(NAME).lua
TEST      = test-$(NAME)-plain.tex test-$(NAME)-latex.tex

UNPACKED  = $(STY) $(LUA)
GENERATED = $(UNPACKED) $(DOC)
SOURCES   = $(DTX) README NEWS Makefile $(TEST)

DOCFILES  = $(DOC) $(TEST) README NEWS
SRCFILES  = $(DTX) Makefile
RUNFILES  = $(STY) $(LUA)

ALL       = $(SRCFILES) $(DOCFILES) $(RUNFILES)

TEXMFROOT = ./texmf
RUNDIR    = $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR    = $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
SRCDIR    = $(TEXMFROOT)/source/$(FORMAT)/$(NAME)

CTAN_ZIP  = $(NAME).zip
TDS_ZIP   = $(NAME).tds.zip
ZIPS      = $(CTAN_ZIP) $(TDS_ZIP)

all: $(GENERATED)
doc: $(DOC)
unpack: $(UNPACKED)
ctan: check $(CTAN_ZIP)
tds: $(TDS_ZIP)
world: all ctan

.PHONY: all doc unpack ctan tds check world

%.pdf: %.dtx
	latexmk -pdf -silent $< >/dev/null

$(UNPACKED): $(DTX)
	tex -interaction=batchmode $< >/dev/null

check: $(UNPACKED)
	luatex   -interaction=batchmode test-$(NAME)-plain.tex  >/dev/null
	lualatex -interaction=batchmode test-$(NAME)-latex.tex  >/dev/null
	! grep "blank space"              test-$(NAME)-plain.log
	! grep "blank space"              test-$(NAME)-latex.log

$(CTAN_ZIP): $(SOURCES) $(DOC) $(TDS_ZIP)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	@zip -9 $@ $^ >/dev/null

define run-install
@mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
@mkdir -p $(DOCDIR) && cp $(DOCFILES) $(DOCDIR)
@mkdir -p $(SRCDIR) && cp $(SRCFILES) $(SRCDIR)
endef

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(ALL)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	@if test -e $(TEXMFROOT); then echo 'bad TEXMFROOT'; false; fi
	$(run-install)
	@cd $(TEXMFROOT) && zip -q -9 ../$@ -r .
	@$(RM) -r -- $(TEXMFROOT)

.PHONY: install clean mrproper help

install: check $(ALL)
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install)

clean:
	@latexmk -silent -c $(DTX) *.tex >/dev/null
	@rm -f -- *.log test*.pdf

mrproper: clean
	@rm -f -- $(GENERATED) $(ZIPS)

help:
	@echo '$(NAME) makefile targets:'
	@echo '                      help - (this message)'
	@echo '                       all - (default target) all generated files'
	@echo '                     world - synonymous for ctan'
	@echo '                    unpack - extract all files'
	@echo '                       doc - compile documentation'
	@echo '                      ctan - run check & generate archive for CTAN'
	@echo '                       tds - generate a TDS compliant archive'
	@echo '                     check - run the test files'
	@echo '  install TEXMFROOT=<path> - install in <path>'

=== texmf-dist/source/luatex/luaotfload/Makefile ===
# Makefile for luaotfload

NAME = luaotfload
DOC = $(NAME).pdf
DTX = $(NAME).dtx
OTFL = $(wildcard otfl-*.lua) otfl-blacklist.cnf
SCRIPT = mkluatexfontdb.lua

# Files grouped by generation mode
COMPILED = $(DOC)
UNPACKED = luaotfload.sty luaotfload.lua
GENERATED = $(COMPILED) $(UNPACKED)
SOURCE = $(DTX) $(OTFL) README Makefile NEWS $(SCRIPT)

# test files
TESTDIR = tests
TESTFILES = $(wildcard $(TESTDIR)/*.tex)
TESTFILE_SYS = $(TESTDIR)/systemfonts.tex $(TESTDIR)/fontconfig_conf_reading.tex
TESTFILES_TL = $(filter-out $(TESTFILE_SYS), $(TESTFILES))

# Files grouped by installation location
SCRIPTFILES = $(SCRIPT)
RUNFILES    = $(UNPACKED) $(OTFL)
DOCFILES    = $(DOC) README NEWS
SRCFILES    = $(DTX) Makefile

# The following definitions should be equivalent
# ALL_FILES = $(RUNFILES) $(DOCFILES) $(SRCFILES)
ALL_FILES = $(GENERATED) $(SOURCE)

# Installation locations
FORMAT = luatex
SCRIPTDIR = $(TEXMFROOT)/scripts/$(NAME)
RUNDIR    = $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR    = $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
SRCDIR    = $(TEXMFROOT)/source/$(FORMAT)/$(NAME)
TEXMFROOT = ./texmf

CTAN_ZIP = $(NAME).zip
TDS_ZIP = $(NAME).tds.zip
ZIPS = $(CTAN_ZIP) $(TDS_ZIP)

DO_TEX = tex --interaction=batchmode $< >/dev/null
DO_LATEX = lualatex --interaction=batchmode $< >/dev/null
DO_MAKEINDEX = makeindex -s gind.ist $(subst .dtx,,$<) >/dev/null 2>&1

all: $(GENERATED)
doc: $(COMPILED)
unpack: $(UNPACKED)
ctan: check $(CTAN_ZIP)
tds: $(TDS_ZIP)
world: all ctan

$(COMPILED): $(DTX)
	$(DO_LATEX)
	$(DO_MAKEINDEX)
	$(DO_LATEX)
	$(DO_LATEX)

$(UNPACKED): $(DTX)
	$(DO_TEX)

$(CTAN_ZIP): $(SOURCE) $(COMPILED) $(TDS_ZIP)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	@zip -9 $@ $^ >/dev/null

define run-install
@mkdir -p $(SCRIPTDIR) && cp $(SCRIPTFILES) $(SCRIPTDIR)
@mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
@mkdir -p $(DOCDIR) && cp $(DOCFILES) $(DOCDIR)
@mkdir -p $(SRCDIR) && cp $(SRCFILES) $(SRCDIR)
endef

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(ALL_FILES)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	$(run-install)
	@cd $(TEXMFROOT) && zip -9 ../$@ -r . >/dev/null
	@$(RM) -r -- $(TEXMFROOT)

.PHONY: install manifest clean mrproper

install: $(ALL_FILES)
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install)

check: $(RUNFILES) $(TESTFILES_TL)
	@for f in $(TESTFILES_TL); do \
	    echo "check: luatex $$f"; \
	    luatex --interaction=batchmode --output-directory $(TESTDIR) $$f \
	    > /dev/null || exit $$?; \
	    done

check-all: $(TESTFILE_SYS) check
	@echo "check: luatex $<"
	@luatex --interaction=batchmode --output-directory $(TESTDIR) $< \
	    >/dev/null

manifest: 
	@echo "Source files:"
	@for f in $(SOURCE); do echo $$f; done
	@echo ""
	@echo "Derived files:"
	@for f in $(GENERATED); do echo $$f; done

clean: 
	@$(RM) -- *.log *.aux *.toc *.idx *.ind *.ilg *.out $(TESTDIR)/*.log

mrproper: clean
	@$(RM) -- $(GENERATED) $(ZIPS) $(TESTDIR)/*.pdf

=== texmf-dist/source/luatex/luatexbase/Makefile ===
# Makefile for luatexbase

NAME = luatexbase
DTX = $(wildcard *.dtx)
DOC = $(patsubst %.dtx, %.pdf, $(DTX))
DTXSTY = lltxb-dtxstyle.tex

# Files grouped by generation mode
UNPACKED_MCB = luatexbase-mcb.sty mcb.lua \
			test-mcb-latex.tex test-mcb-plain.tex \
			test-mcb.lua $(TEST_MCB)
UNPACKED_REGS = luatexbase-regs.sty \
			test-regs-plain.tex test-regs-latex.tex
UNPACKED_ATTR = luatexbase-attr.sty attr.lua \
			test-attr-plain.tex test-attr-latex.tex
UNPACKED_CCTB = luatexbase-cctb.sty cctb.lua \
			test-cctb-plain.tex test-cctb-latex.tex
UNPACKED_LOADER = luatexbase-loader.sty luatexbase.loader.lua \
			test-loader-plain.tex test-loader-latex.tex \
			$(TEST_LOADER).lua test-loader.sub.lua
UNPACKED_MODUTILS = luatexbase-modutils.sty modutils.lua test-modutils.lua \
			test-modutils-plain.tex test-modutils-latex.tex
UNPACKED_COMPAT = luatexbase-compat.sty \
			test-compat-plain.tex test-compat-latex.tex
UNPACKED_BASE = luatexbase.sty test-base-plain.tex test-base-latex.tex
UNPACKED = $(UNPACKED_MCB) $(UNPACKED_REGS) $(UNPACKED_ATTR) $(UNPACKED_CCTB) \
		   $(UNPACKED_LOADER) $(UNPACKED_MODUTILS) $(UNPACKED_COMPAT) \
		   $(UNPACKED_BASE)
COMPILED = $(DOC)
GENERATED = $(COMPILED) $(UNPACKED)
SOURCE = $(DTX) $(DTXSTY) README TODO Changes Makefile

# used for check
TEST_LOADER = test-loader
TMP_LOADER = $(TEST_LOADER).tex
TEST_MCB = test-mcb-aux.tex

# Files grouped by installation location
RUNFILES = $(filter-out test-%, $(UNPACKED))
DOCFILES = $(DOC) $(filter test-%, $(UNPACKED)) README TODO Changes
SRCFILES = $(DTX) Makefile

# The following definitions should be equivalent
# ALL_FILES = $(RUNFILES) $(DOCFILES) $(SRCFILES)
ALL_FILES = $(GENERATED) $(SOURCE)

# Installation locations
FORMAT = luatex
RUNDIR = $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR = $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
SRCDIR = $(TEXMFROOT)/source/$(FORMAT)/$(NAME)
TEXMFROOT = ./texmf

INSTALL_RUNFILES = @mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
INSTALL_DOCFILES = @mkdir -p $(DOCDIR) && cp $(DOCFILES) $(DOCDIR)
INSTALL_SRCFILES = @mkdir -p $(SRCDIR) && cp $(SRCFILES) $(SRCDIR)

TESTENV = TEXINPUTS=.:$(TEXMFROOT)/tex//:

CTAN_ZIP = $(NAME).zip
TDS_ZIP = $(NAME).tds.zip
ZIPS = $(CTAN_ZIP) $(TDS_ZIP)

DO_TEX = tex --interaction=batchmode $< >/dev/null
DO_LATEXMK = latexmk -pdf -silent $< >/dev/null

# Main targets definition
all: $(GENERATED)
check: check-regs check-attr check-cctb check-loader check-modutils check-mcb \
       check-compat check-base
doc: $(COMPILED)
unpack: $(UNPACKED)
ctan: check $(CTAN_ZIP)
tds: $(TDS_ZIP) Makefile
world: all ctan

%.pdf: %.dtx $(DTXSTY)
	$(DO_LATEXMK)

luatexbase.%.lua: %.lua
	ln -sf $< $@

$(UNPACKED_MCB): luatexbase-mcb.dtx
	$(DO_TEX)
	echo \\\\relax > $(TEST_MCB)

$(UNPACKED_REGS): luatexbase-regs.dtx
	$(DO_TEX)

$(UNPACKED_ATTR): luatexbase-attr.dtx
	$(DO_TEX)

$(UNPACKED_CCTB): luatexbase-cctb.dtx
	$(DO_TEX)

$(UNPACKED_LOADER): luatexbase-loader.dtx
	$(DO_TEX)

$(UNPACKED_MODUTILS): luatexbase-modutils.dtx
	$(DO_TEX)

$(UNPACKED_COMPAT): luatexbase-compat.dtx
	$(DO_TEX)

$(UNPACKED_BASE): luatexbase.dtx
	$(DO_TEX)

check-regs: $(UNPACKED_REGS)
	luatex --interaction=batchmode test-regs-plain.tex >/dev/null
	lualatex --interaction=batchmode test-regs-latex.tex >/dev/null

check-attr: install-runfiles
	$(TESTENV) luatex --interaction=batchmode test-attr-plain.tex >/dev/null
	$(TESTENV) lualatex --interaction=batchmode test-attr-latex.tex >/dev/null

check-cctb: install-runfiles
	$(TESTENV) luatex --interaction=batchmode test-cctb-plain.tex >/dev/null
	$(TESTENV) lualatex --interaction=batchmode test-cctb-latex.tex >/dev/null

check-loader: install-runfiles
	echo "this is no lua code" > $(TMP_LOADER)
	$(TESTENV) luatex --interaction=batchmode test-loader-plain.tex >/dev/null
	$(TESTENV) lualatex --interaction=batchmode test-loader-latex.tex >/dev/null

check-modutils: install-runfiles
	$(TESTENV) luatex --interaction=batchmode test-modutils-plain.tex >/dev/null
	$(TESTENV) lualatex --interaction=batchmode test-modutils-latex.tex >/dev/null

check-mcb: install-runfiles $(UNPACKED_MCB)
	$(TESTENV) luatex --interaction=batchmode test-mcb-plain.tex >/dev/null
	$(TESTENV) lualatex --interaction=batchmode test-mcb-latex.tex >/dev/null

check-compat: $(UNPACKED_COMPAT)
	luatex --interaction=batchmode test-compat-plain.tex >/dev/null
	lualatex --interaction=batchmode test-compat-latex.tex >/dev/null

check-base: $(UNPACKED_BASE)
	luatex --interaction=batchmode test-base-plain.tex >/dev/null
	lualatex --interaction=batchmode test-base-latex.tex >/dev/null

$(CTAN_ZIP): $(SOURCE) $(COMPILED) $(TDS_ZIP)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	@zip -9 $@ $^ >/dev/null

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(ALL_FILES)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	$(INSTALL_RUNFILES)
	$(INSTALL_DOCFILES)
	$(INSTALL_SRCFILES)
	@cd $(TEXMFROOT) && zip -9 ../$@ -r . >/dev/null
	@$(RM) -r -- $(TEXMFROOT)

.PHONY: install manifest clean mrproper install-runfiles

install: $(ALL_FILES)
	@echo "Installing in '$(TEXMFROOT)'."
	$(INSTALL_RUNFILES)
	$(INSTALL_DOCFILES)
	$(INSTALL_SRCFILES)

install-runfiles: $(RUNFILES)
	$(INSTALL_RUNFILES)

manifest: 
	@echo "Source files:"
	@for f in $(SOURCE); do echo $$f; done
	@echo ""
	@echo "Derived files:"
	@for f in $(GENERATED); do echo $$f; done

clean: 
	@latexmk -silent -c *.dtx >/dev/null
	@#for non-latexmk runs
	@$(RM) -- *.log

mrproper: clean
	@$(RM) -- $(GENERATED) $(ZIPS) $(TMP_LOADER)
	@$(RM) -r $(TEXMFROOT)

=== debian/changelog ===
texlive-base (2012.20120611-5) unstable; urgency=low

  * properly purge some conffiles (Closes: #688382)
  * fix typo in babel french ldf file, upstream fix (Closes: #689450)
  * remove conffiles even if upgrading from intermediate packages
    (Closes: #686487)

 -- Norbert Preining <preining@debian.org>  Wed, 03 Oct 2012 21:01:18 +0900

texlive-base (2012.20120611-4) unstable; urgency=low

  * fix wrong format of zip list for texdoc, which broke searching for
    compressed documentation.
  * fix updmap not honoring the dvipsDownloadBase35 setting 
    (Closes: #686335)

 -- Norbert Preining <preining@debian.org>  Sat, 01 Sep 2012 08:37:35 +0900

texlive-base (2012.20120611-3) unstable; urgency=low

  * texlive-base.postinst(.post): fix logic error in testing whether old
    dirs should be removed, thanks for spotting to Anders Kaseorg.
    (Closes: #679042)

 -- Norbert Preining <preining@debian.org>  Tue, 26 Jun 2012 07:31:31 +0900

texlive-base (2012.20120611-2) unstable; urgency=low

  * texdoc: switch from see to xdg-open, change dependency from mime-support
    to xdg-utils (Closes: #678747)
  * natbib: fix spurious spaces when using \defcitealias (Closes: #628044)

 -- Norbert Preining <preining@debian.org>  Mon, 25 Jun 2012 11:00:26 +0900

texlive-base (2012.20120611-1) unstable; urgency=low

  * new upstream checkout (TL2012 release)
  * set TEXMFVAR and TEXMFCONFIG back to ~/.texmf-var and ~/.texmf-config
  * adjust OSFONTDIR in texmf.cnf
  * fix and update debian updmap patch to work with updated updmap.pl:
    move TEXMFLOCAL also over TEXMFDEBIAN

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jun 2012 12:01:33 +0900

texlive-base (2012.20120529-1) unstable; urgency=low

  [ Norbert Preining ]
  * new upstream checkout
   - update of xeCJK give now warning on uninitialized CJK font 
     (Closes: #673205)
   - remove old patches (partially applied upstream)
   - remove fix-xyframe patch, fixed in upstream
   - texdoc cweb now finds cwebman (Closes: #674185)
   - new koma-script fixes links in documentation (Closes: #671997)
  * Debian changes
    - patches/debian_updmap-search-path
      give big fat warning and advice what to do when updmap --syncwithtrees 
      is called
    - patches/texdoc-see-and-zip
      enable gz/bz2/xz compression for texdoc (Closes: #673258)
    - texlive-base.postinst: fix comparison of empty version (Closes: #674022)
    - go back to use ~/.texmf-var and ~/.texmf-config for TEXMFVAR/CONFIG

  [ Hilmar Preuße ]
  * fix URL for LaTeX minimal example.

  [ Frank Küster ]
  * fix texconfig usage and interference with Debian methods

 -- Norbert Preining <preining@debian.org>  Wed, 30 May 2012 07:54:43 +0900

texlive-base (2012.20120516-1) unstable; urgency=low

  * new upstream snapshot based on TL2012 tlpretest
  * texlive-xetex needs to depend on tipa, otherwise tipa will not be
    installed on upgrades from stable, and xunicode will not work
    (Closes: #672348)
  * fix a (harmless) logic error in the postinst of texlive-base
    (no effective change)
  * switch to xz compression for orig and deb

 -- Norbert Preining <preining@debian.org>  Wed, 16 May 2012 08:21:50 +0900

texlive-base (2011.20120509-1) unstable; urgency=low

  [ Norbert Preining ]
  * new upstream release:
    . new xecjk package (Closes: #668562)

  [ Frank Küster ]
  * add Breaks/Replaces for texlive-latex-base against older context
    (Closes: #671716). 

 -- Frank Küster <frank@debian.org>  Sun, 06 May 2012 22:59:13 +0200

texlive-base (2011.20120424-1) unstable; urgency=low

  * new upstream snapshot
  * texlive-xetex: add breaks against texlive-math-extra (Closes: #670109)
  * update po-debconf stuff

 -- Norbert Preining <preining@debian.org>  Tue, 24 Apr 2012 14:31:49 +0900

texlive-base (2011.20120410-1) unstable; urgency=low

  * tl-paper: make sure that some side conditions are caught properly
    (Closes: #666995)
  * texlive-base.libpaper: don't assume that tl-paper returns something
  * (upstream fix) make TLPaper less noise if it cannot find a proper
    paper definition
  * texlive-xetex recommends tipa (Closes: #667026)
  * libpaper rework (Closes: #665947)
    - keep original config files for the four progs in /u/s/texlive/...
    - factorize out the paper setting of the four progs in separate files
      (debian/patches/*factorize)
    - texlive-base depends on a version of texlive-binaries which ships
      programs (dvipdfmx, dvips) that are able to load sub-config files
    - use ucf/ucfr/ucfq to get rid of the config files (determine their
      change status and make backup if changed, otherwise remove)
  * includes fixed thumbpdf.sty fixing texi2dvi problems (Closes: #666532)

 -- Norbert Preining <preining@debian.org>  Tue, 10 Apr 2012 10:26:42 +0900

texlive-base (2011.20120322-2) unstable; urgency=low

  * on upgrade from 2009, try to remove old directories of conffiles
    that have been removed via maintscript (Closes: #665795)
  * make sure that debconf templates are installed (Closes: #666680)
    (special thanks to Andreas Beckmann for helpful comments and ideas!)
  * use tl-paper instead of texconfig-sys in texlive-base postinst

 -- Norbert Preining <preining@debian.org>  Mon, 02 Apr 2012 19:48:36 +0900

texlive-base (2011.20120322-1) unstable; urgency=low

  * upload to unstable
  * libpaper changes (fk):
    - include tl-paper in /usr/bin
    - add code to texlive-base.libpaper to recreate formats and
      update ls-R database after paper changes
  * replace otf/ttf fonts with links to the files in the
    respective Debian package, depend on that package
  * support for language.dat.lua
  * remove useless /etc/texmf/hyphen.d/09texlive-base.cnf (rm_conffile)

  [ Hilmar Preuße ]

  This is TL 2012, yeah!! (Closes: #643023) (Closes: #655379)

  List of fixed bugs in new TeX Live
  * New version of polyglossia (Closes: #644207)
    * has fixes for language "brazil" (Closes: #607158)
  * again contains oldgerm.pdf (Closes: #588378)


=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 3), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-base
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-binaries (>= 2012-0), xdg-utils, ucf, texlive-binaries (>= 2012.20120516), libpaper-utils, texlive-common (>= 2012.20120516), ${misc:Depends}, luatex (>= 0.70.1)
Conflicts: texinfo (<< 4.8), luatex (<< 0.46.0-5), dvipdfmx
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: perl-tk, xpdf-reader | pdf-viewer, ghostscript, gv | postscript-viewer
Replaces: texlive-binaries (<< 2011), dvipdfmx, luatex (<< 0.45.0), tex-common (<< 3)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX
   macros, Computer Modern fonts, and configuration for common drivers; no
   LaTeX.
 .
 This package includes the following CTAN packages:
  amsfonts -- TeX fonts from the American Mathematical Society.
  bibtex -- Process bibliographies for LaTeX, etc.
  cm -- Computer Modern fonts.
  dvipdfm -- A DVI driver to produce PDF directly.
  dvipdfmx -- An extended version of dvipdfm.
  dvipdfmx-def --
  dvips -- A DVI to PostScript driver.
  enctex -- A TeX extension that translates input on its way into TeX.
  etex -- An extended version of TeX, from the NTS project.
  etex-pkg -- E-TeX support package.
  glyphlist --
  gsftopk -- Convert "ghostscript fonts" to PK files.
  hyph-utf8 -- Hyphenation patterns expressed in UTF-8.
  hyphen-base --
  ifluatex -- Provides the \ifluatex switch.
  ifxetex -- Am I running under XeTeX?
  kpathsea -- Path searching library for TeX-related files.
  lua-alt-getopt -- Process application arguments the same way as
   getopt_long.
  makeindex -- Process index output to produce typesettable code.
  metafont -- A system for specifying fonts.
  mflogo -- LaTeX support for MetaFont logo fonts.
  mfware -- Supporting tools for use with Metafont.
  misc --
  pdftex -- A TeX extension for direct creation of PDF.
  plain --
  tetex -- scripts and files originally written for or included in teTeX
  tex -- A sophisticated typesetting engine.
  texconfig --
  xdvi -- A DVI previewer for the X Window System.
  texdoc -- Documentation access for TeX distributions.

Package: texlive-generic-recommended
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Replaces: texlive-latex-extra-doc (<< 2010)
Description: TeX Live: Recommended generic packages
 Recommended packages that work with multiple formats.
 .
 This package includes the following CTAN packages:
  epsf -- Simple macros for EPS inclusion.
  fontname -- Scheme for naming fonts in TeX.
  genmisc --
  kastrup --
  multido -- A loop facility for Generic TeX.
  path -- Typeset paths, making them breakable.
  tex-ps -- TeX to PostScript generic macros and add-ons.
  ulem -- Package for underlining.

Package: texlive-latex-base
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Conflicts: ivritex (<= 1.1.1-5)
Recommends: texlive-latex-base-doc
Replaces: context (<< 2011)
Breaks: context (<< 2011)
Description: TeX Live: Basic LaTeX packages
 These packages are mandated by the core LaTeX team, or at least very
   strongly recommended.
 .
 This package includes the following CTAN packages:
  ae -- Virtual fonts for T1 encoded CMR-fonts.
  amscls -- AMS document classes for LaTeX.
  amsmath -- AMS mathematical facilities for LaTeX.
  babel -- Multilingual support for Plain TeX or LaTeX.
  babelbib -- Multilingual bibliographies.
  carlisle -- David Carlisle's small packages.
  colortbl -- Add colour to LaTeX tables.
  fancyhdr -- Extensive control of page headers and footers in LaTeX2e.
  fix2col -- Fix miscellaneous two column mode features.
  geometry -- Flexible and complete interface to document dimensions.
  graphics -- Standard LaTeX graphics.
  hyperref -- Extensive support for hypertext in LaTeX.
  latex -- A TeX macro package that defines LaTeX.
  latex-bin -- LaTeX executables and man pages.
  latex-fonts -- A collection of fonts used in LaTeX distributions.
  latexconfig --
  ltxmisc -- Miscellaneous LaTeX packages, etc.
  mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX.
  mptopdf -- mpost to PDF, native MetaPost graphics inclusion
  natbib -- Flexible bibliography support.
  oberdiek -- A bundle of packages submitted by Heiko Oberdiek.
  pdftex-def -- Colour and Graphics support for PDFTeX.
  pslatex -- Use PostScript fonts by default.
  psnfss -- Font support for common PostScript fonts.
  pspicture -- PostScript picture support.
  tools -- The LaTeX standard tools bundle.

Package: texlive-latex-recommended
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Conflicts: texlive-latex3 (<< 2011)
Recommends: latex-xcolor (>= 2.09), texlive-latex-recommended-doc, latex-beamer (>= 3.06.dfsg.1-0.1), prosper (>= 1.00.4+cvs.2006.10.22)
Provides: texlive-latex3
Replaces: texlive-latex3
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread
   use.
 .
 This package includes the following CTAN packages:
  anysize -- A simple package to set up document margins.
  booktabs -- Publication quality tables in LaTeX
  caption -- Customising captions in floating environments.
  cite -- Improved citation handling in LaTeX.
  cmap --
  crop -- Support for cropmarks.
  ctable -- Easily typeset centered tables.
  ec -- Computer modern fonts in T1 and TS1 encodings.
  eso-pic -- Add picture commands (or backgrounds) to every page.
  euler -- Use AMS Euler fonts for math.
  extsizes -- Extend the standard classes' size options.
  fancybox -- Variants of \fbox and other games with boxes.
  fancyref -- A LaTeX package for fancy cross-referencing.
  fancyvrb -- Sophisticated verbatim text.
  float -- Improved interface for floating objects.
  fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX.
  fp -- Fixed point arithmetic.
  index -- Extended index for LaTeX including multiple indexes.
  jknapltx -- Miscellaneous packages by Joerg Knappen.
  koma-script -- A bundle of versatile classes and packages
  l3kernel -- LaTeX3 programming conventions.
  l3packages -- High-level LaTeX3 concepts.
  l3experimental -- Experimental LaTeX3 concepts.
  listings -- Typeset source code listings using LaTeX.
  mdwtools -- Miscellaneous tools by Mark Wooding.
  memoir -- Typeset fiction, non-fiction and mathematical books.
  metalogo -- Extended TeX logo macros.
  mh -- The MH bundle
  microtype -- An interface to the micro-typographic features of pdfTeX.
  ms -- Various LaTeX packages by Martin Schroder.
  ntgclass -- "European" versions of standard classes.
  parskip -- Layout with zero \parindent, non-zero \parskip.
  pdfpages -- Include PDF documents in LaTeX.
  powerdot -- A presentation class.
  psfrag -- Replace strings in encapsulated PostScript figures.
  rcs -- Use RCS (revision control system) tags in LaTeX documents.
  rotating -- Rotation tools, including rotated full-page floats.
  sansmath -- Maths in a sans font.
  section -- Modifying section commands in LaTeX.
  seminar -- Make overhead slides.
  sepnum -- Print numbers in a "friendly" format.
  setspace -- Set space between lines.
  subfig -- Figures broken into subfigures
  textcase -- Case conversion ignoring mathematics, etc.
  thumbpdf -- Thumbnails for pdfTeX and dvips/ps2pdf.
  typehtml -- Typeset HTML directly from LaTeX.
  underscore -- Control the behaviour of "_" in text.
  url -- Verbatim with URL-sensitive line breaks.
  xkeyval -- Extension of the keyval package.

Package: texlive-fonts-recommended
Section: fonts
Architecture: all
Depends: ttf-marvosym, texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Recommends: texlive-fonts-recommended-doc, tex-gyre, tipa (>= 2:1.2-2.1)
Description: TeX Live: Recommended fonts
 Recommended fonts, including the base 35 PostScript fonts, Latin Modern, TeX
   Gyre, and T1 and other encoding support for Computer Modern, in outline
   form.
 .
 This package includes the following CTAN packages:
  avantgar -- URW "Base 35" font pack for LaTeX.
  bookman -- URW "Base 35" font pack for LaTeX.
  charter -- Charter fonts.
  cmextra --
  courier -- URW "Base 35" font pack for LaTeX.
  euro -- Provide Euro values for national currency amounts.
  euro-ce -- Euro and CE sign font.
  eurosym -- MetaFont and macros for Euro sign.
  fpl -- SC and OsF fonts for URW Palladio L
  helvetic -- URW "Base 35" font pack for LaTeX.
  marvosym -- Martin Vogel's Symbols (marvosym) font.
  mathpazo -- Fonts to typeset mathematics to match Palatino.
  ncntrsbk -- URW "Base 35" font pack for LaTeX.
  palatino -- URW "Base 35" font pack for LaTeX.
  pxfonts -- Palatino-like fonts in support of mathematics.
  rsfs -- Ralph Smith's Formal Script font.
  symbol -- URW "Base 35" font pack for LaTeX.
  tex-gyre-math -- Maths fonts to match tex-gyre text fonts.
  times -- URW "Base 35" font pack for LaTeX.
  txfonts -- Times-like fonts in support of mathematics.
  utopia -- Adobe Utopia fonts.
  wasy -- The wasy fonts (Waldi symbol fonts).
  wasysym -- LaTeX support file to use the WASY2 fonts
  zapfchan -- URW "Base 35" font pack for LaTeX.
  zapfding -- URW "Base 35" font pack for LaTeX.

Package: texlive-pictures
Architecture: all
Depends: luatex, texlive-binaries (>= 2012-0), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Recommends: ruby | ruby-interpreter, texlive-pictures-doc, wish, pgf (>= 1.01.dfsg.1)
Suggests: dot2tex
Description: TeX Live: Graphics packages and programs
 This package includes the following CTAN packages:
  adjustbox --
  asyfig -- Commands for using Asymptote figures.
  autoarea -- Automatic computation of bounding boxes with PiCTeX.
  bardiag -- LateX package for drawing bar diagrams.
  bloques -- Generate control diagrams.
  bodegraph -- Draw Bode, Nyquist and Black plots with gnuplot and TikZ.
  bondgraph -- Create bond graph figures in LaTeX documents.
  braids -- Draw braid diagrams with PGF/TikZ.
  cachepic -- Convert document fragments into graphics.
  chemfig -- Draw molecules with easy syntax.
  combinedgraphics -- Include graphic (EPS or PDF)/LaTeX combinations.
  circuitikz -- Draw electrical networks with TikZ.
  curve -- A class for making curriculum vitae.
  curve2e -- Extensions for package pict2e.
  curves -- Curves for LaTeX picture environment
  dcpic -- Commutative diagrams in a LaTeX and TeX documents.
  diagmac2 -- Diagram macros, using pict2e.
  doc-pictex -- A summary list of PicTeX documentation.
  dottex -- Use dot code in LaTeX.
  dot2texi -- Create graphs within LaTeX using the dot2tex tool.
  dratex -- General drawing macros.
  drs -- Typeset Discourse Representation Structures (DRS).
  duotenzor -- Drawing package for circuit and duotensor diagrams.
  eepic -- Extensions to epic and the LaTeX drawing tools.
  epspdf -- Converter for PostScript, EPS and PDF.
  epspdfconversion -- On-the-fly conversion of EPS to PDF.
  esk -- Package to encapsulate Sketch files in LaTeX sources.
  fig4latex -- Management of figures for large LaTeX documents.
  gincltex -- Include TeX files as graphics (.tex support for
   \includegraphics).
  gnuplottex -- Embed Gnuplot commands in LaTeX documents.
  gradientframe -- Simple gradient frames around objects.
  grafcet -- Draw Grafcet/SFC with TikZ.
  here -- Emulation of obsolete package for "here" floats.

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-base
# $Id: rules.in 5480 2012-05-16 01:30:56Z preining $

PACKAGES=texlive-base texlive-generic-recommended texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-omega texlive-xetex texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
METAPACKAGES=texlive texlive-full texlive-common

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats} ; \
	done
	rm -f debian/texlive-base.cnf
	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  if [ -d debian/$$i.root ] ; then bash debian/merge-dist-tree debian/$$i.root debian/$$i ; fi ; \
	  bash debian/generate-license-file $$i ; \
	  install -D --mode=644 debian/$$i.override debian/$$i/usr/share/lintian/overrides/$$i ; \
	  install -D --mode=755 debian/bug.script debian/$$i/usr/share/bug/$$i/script ; \
	  install -D --mode=644 debian/bug.control debian/$$i/usr/share/bug/$$i/control ; \
	  bash debian/create-doc-links $$i texlive-doc > debian/$$i.links ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	  if [ -r debian/$$i.README ] ; then cat debian/$$i.README > debian/$$i.README.Debian ; fi ; \
	  cat debian/README.Debian >> debian/$$i.README.Debian ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	dh_installmenu
	dh_installdocs -A debian/README.source
	dh_installdocs -p texlive-common README readme-txt.dir readme-html.dir debian/CHANGES.packaging
	dh_installtex -Ntexlive-base -A --priority=10	\
		$(patsubst %,-N%,$(METAPACKAGES))	\
		--flavor=lsr:full,tree:texlive
	dh_installtex -ptexlive-base --priority=10	\
		--flavor=format:build_all,lsr:full,tree:texlive
	# /usr/bin/mf has been created by dh_installtex as symlink to mf-nowin
	# but is also shipped by texlive-base-bin, remove it.
	rm debian/texlive-base/usr/bin/mf
	# remove updmap(-sys), they are shipped in texlive-binaries
	#rm debian/texlive-base/usr/bin/updmap
	#rm debian/texlive-base/usr/bin/updmap-sys
	# furthermore we want to have etex and pdfetex as links in 
	# texlive-base-bin and not in texlive-base, remove them here
	# and add them via dh_link in texlive-base-binaries
	rm debian/texlive-base/usr/bin/etex 
	rm debian/texlive-base/usr/bin/pdfetex
	# for the libpaper hook, install templates and
	# translations. No need to modify postrm. I hope it accepts
	# the missing config script
	dh_installdebconf -n
	cp debian/texlive-base.libpaper debian/texlive-base/etc/libpaper.d/texlive-base
	chmod a+x debian/texlive-base/etc/libpaper.d/texlive-base
	#cp debian/md5sums/* debian/texlive-base/usr/share/texlive-base/
	dh_installchangelogs
	bash debian/convert-info-files-to-unix.sh
	bash debian/fix-manpages.sh
	dh_installinfo
	# remove info files that are present in texlive-binaries
	rm debian/texlive-base/usr/share/info/dvips.info*
	rm debian/texlive-base/usr/share/info/web2c.info*
	rm debian/texlive-base/usr/share/info/kpathsea.info*
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/info
	dh_installmime
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
